Page MenuHomePhabricator

[Story] allow to select globe in the UI
Open, NormalPublic

Description

It is currently only possible to select the globe for a coordinate via the API. It should be possible in the UI as well.

Details

Reference
bz54097

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz54097.
bzimport added a subscriber: Unknown Object (MLST).
  • Bug 51373 has been marked as a duplicate of this bug. ***

paperoastro wrote:

A suggestion for adding a "celestial sphere" globe for celestial coordinate system. Celestial coordinates usually used are equatorial coordinate system (https://en.wikipedia.org/wiki/Equatorial_coordinate_system) and needs "right ascension" (longitude expressed in hours, where 1h = 15 degrees), "declination" (latitude) and an epoch.

With setting this globe, the mask will ask "right ascension" and "declination" instead of latitude and longitude and will not ask altitude; "right ascension" (longitude) will be expressed in hours instead degrees. The epoch will be a qualifier.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
aude renamed this task from allow to select globe in the UI to [Story] allow to select globe in the UI.Sep 11 2015, 8:19 AM
aude set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 8:19 AM
Nikki added a subscriber: Nikki.Mar 17 2016, 8:03 PM

T127950 has been created for celestial coordinate support (which needs more than just changing the globe).

Is this likely to be fixed any time soon? I've noticed some people have been adding coordinates for non-Earth objects despite not being able to change the globe. I've been reluctant to do that, but looking at the age of this ticket, I'm thinking it might be more productive to add them without changing the globe and convince someone to run a bot to fix them (using the https://www.wikidata.org/wiki/Property:P376 statements).

Nikki added a comment.Mar 17 2016, 8:14 PM

Oh, and here's a query for items where the coordinate globe doesn't match the P376 statement.

I think we need to have a look into this, since query like this:

SELECT ?item ?place WHERE {
  ?item wdt:P31 wd:Q55818 .
  ?item wdt:P625 ?place .
}

Produces very weird results since half of the places have right globe and other half doesn't.

I also think having a bot fix at least those with P376 contradicting the coordinate is a good idea.

Nikki added a comment.May 3 2016, 11:11 AM

I've added a bot request here: https://www.wikidata.org/wiki/Wikidata:Bot_requests#Fix_globes_for_non-Earth_coordinates

I think someone might have already fixed some of them (the number seems a lot lower than I remember), but I'm not sure who.

Nikki added a comment.May 4 2016, 8:34 AM

Oh, cool :) Would it be possible to run it daily?

There's a few that haven't been fixed, it seems their globes aren't in the supported list?

Since it uses pywikibot, it is limited by what pywikibot's set of globes, which currently seems to have some missing. I'll submit a patch to update it.

Jc3s5h added a subscriber: Jc3s5h.Jan 11 2017, 12:09 AM
matej_suchanek removed a subscriber: Wikidata-bugs.
Jklamo added a subscriber: Jklamo.Feb 22 2017, 10:44 PM

@Lydia_Pintscher Looking through this after our discussion today, @bzimport's comment above about the needs for astronomy looks good. RA, dec and epoch, e.g. see the values in the infobox at https://en.wikipedia.org/wiki/SN_1987A . Support for other astronomical coordinate systems (such as Galactic coordinates) would also be good, but that can be done later (and possibly by auto-converting them) - for now, just supporting equatorial coordinates would be incredibly useful for the work I'm doing with astronomical infoboxes.

Zolo added a subscriber: Zolo.Aug 29 2017, 5:23 PM